Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.nailgun
Class NGConstants

    java.lang.Object
      com.martiansoftware.nailgun.NGConstants

public class NGConstants
extends Object

Just a simple holder for various NailGun-related contants.

Author:
  Marty Lamb

Field Summary
`static char` | `CHUNKTYPE_ARGUMENT` Chunk type marker for command line arguments
`static char` | `CHUNKTYPE_COMMAND` Chunk type marker for the command (alias or class)
`static char` | `CHUNKTYPE_ENVIRONMENT` Chunk type marker for client environment variables
`static char` | `CHUNKTYPE_EXIT` Chunk type marker for client exit chunks
`static char` | `CHUNKTYPE_STDERR` Chunk type marker for stderr
`static char` | `CHUNKTYPE_STDIN` Chunk type marker for stdin
`static char` | `CHUNKTYPE_STDIN_EOF` Chunk type marker for the end of stdin
`static char` | `CHUNKTYPE_STDOUT` Chunk type marker for stdout
`static char` | `CHUNKTYPE_WORKINGDIRECTORY` Chunk type marker for client working directory
`static int` | `DEFAULT_PORT` The default NailGun port (2113)
`static int` | `EXIT_EXCEPTION` The exit code sent to clients if an exception occurred on the server
`static int` | `EXIT_NOSUCHCOMMAND` The exit code sent to clients if an invalid command is sent
`static String` | `VERSION` Server version number

Constructor Summary
`NGConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  The default NailGun port (2113)

  See Also:
    Constant Field Values

### EXIT_EXCEPTION

    public static final int EXIT_EXCEPTION

  The exit code sent to clients if an exception occurred on the server

  See Also:
    Constant Field Values

### EXIT_NOSUCHCOMMAND

    public static final int EXIT_NOSUCHCOMMAND

  The exit code sent to clients if an invalid command is sent

  See Also:
    Constant Field Values

### CHUNKTYPE_ARGUMENT

    public static final char CHUNKTYPE_ARGUMENT

  Chunk type marker for command line arguments

  See Also:
    Constant Field Values

### CHUNKTYPE_ENVIRONMENT

    public static final char CHUNKTYPE_ENVIRONMENT

  Chunk type marker for client environment variables

  See Also:
    Constant Field Values

### CHUNKTYPE_COMMAND

    public static final char CHUNKTYPE_COMMAND

  Chunk type marker for the command (alias or class)

  See Also:
    Constant Field Values

### CHUNKTYPE_WORKINGDIRECTORY

    public static final char CHUNKTYPE_WORKINGDIRECTORY

  Chunk type marker for client working directory

  See Also:
    Constant Field Values

### CHUNKTYPE_STDIN

    public static final char CHUNKTYPE_STDIN

  Chunk type marker for stdin

  See Also:
    Constant Field Values

### CHUNKTYPE_STDIN_EOF

    public static final char CHUNKTYPE_STDIN_EOF

  Chunk type marker for the end of stdin

  See Also:
    Constant Field Values

### CHUNKTYPE_STDOUT

    public static final char CHUNKTYPE_STDOUT

  Chunk type marker for stdout

  See Also:
    Constant Field Values

### CHUNKTYPE_STDERR

    public static final char CHUNKTYPE_STDERR

  Chunk type marker for stderr

  See Also:
    Constant Field Values

### CHUNKTYPE_EXIT

    public static final char CHUNKTYPE_EXIT

  Chunk type marker for client exit chunks

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  Server version number

Constructor Detail

### NGConstants

    public NGConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2004, Martian Software, Inc.